
function XSILoadPlugin( in_reg )
	in_reg.Author = "Administrator"
	in_reg.Name = "Chain2Bones"
	in_reg.Major = 1
	in_reg.Minor = 0

	in_reg.RegisterCommand "Chain2Bones","Chain2Bones"
	in_reg.RegisterMenu siMenuTbCreateSkeletonID,"Chain2Bones_Menu",false,false
	'RegistrationInsertionPoint - do not remove this line

	XSILoadPlugin = true
end function

function XSIUnloadPlugin( in_reg )
	dim strPluginName
	strPluginName = in_reg.Name
	Application.LogMessage strPluginName & " has been unloaded.",siVerbose
	XSIUnloadPlugin = true
end function

function Chain2Bones_Init( in_ctxt )
	dim oCmd
	set oCmd = in_ctxt.Source
	oCmd.Description = ""
	oCmd.ReturnValue = true

	Chain2Bones_Init = true
end function

function Chain2Bones_Execute(  )
    SetValue "preferences.Interaction.autoinspect", False
	set BoneList = GetValue("SelectionList")
	Set oColl = CreateObject("XSI.Collection")
	for each oldbone in bonelist
		if Application.ClassName( oldbone) ="ChainBone" then
			if Application.ClassName( OldBone.Parent3DObject ) ="ChainRoot" then
				oColl.Add OldBone.Parent3DObject
			End if
			Set oBone = getprim ("bone")
			MatchTransform oBone, oldbone, siTransformFilter.siRT 
			SetValue oBone & ".bone.length", GetValue (oldbone & ".bone.length")
			Addprop "Static Kinematic State Property"
			SetEnvelopeRefPoses
		end if
	next

	oColl.Unique = True

	For each oChain in oColl
		DeleteObj "B:" & oChain
	next
    SetValue "preferences.Interaction.autoinspect", True
	Chain2Bones_Execute = true
end function

function Chain2Bones_Menu_Init( in_ctxt )
	dim oMenu
	set oMenu = in_ctxt.Source
	oMenu.AddCommandItem "Chain 2 Bones","Chain2Bones"
	Chain2Bones_Menu_Init = true
end function

